qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paul O'Fallon" <p...@ofallonfamily.com>
Subject Activating amqp 1.0 / proton in C++ messaging example
Date Tue, 15 Jan 2013 22:13:32 GMT
Hello.  I've had proton installed for a while, coding directly against it's
C API (connecting to Azure ServiceBus).  Now I want to connect via c++
through Qpid itself.  I've built Qpid 0.20-rc4 and the build output
indicates that it *does* find the proton libraries and that amqp 1.0
support is enabled.

When I run the "client" c++ example (in cpp/examples/messaging) without
specifying a protocol option, I get "error Caught exception in state: 3
with event: 1: Unsupported version: 1-0 supported version 0-10" (i.e. it's
trying amqp 0.10 and not 1.0).  However, when I add the connection option
"protocol: amqp1.0" I get an error stating that this is an "Unsupported
protocol".

Is there a different connection option I need to use to trigger the use of
the proton library / amqp 1.0?

Thanks!

- Paul

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message